@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Cairo&display=swap');

:root {
    --dm-primary-color: #0822c4;
    --dm-dark-grey: #ffffffdb;
    --dm-off-white: #e9e8e814;
    --dm-span-color: #2d47e8;
    --dm-text-color: white;
    --dm-body-bg: rgb(20, 20, 20);
    --dm-text-color2: white;
}

body {
    --primary-color: #304beb;
    --dark-grey: #595960;
    --off-white: #e9e8e8;
    --span-color: #304beb;
    --text-color: black;
    --text-color2: #304beb;
    --body-bg: white;
    font-family: 'Cairo', sans-serif;
    /* font-family: 'Montserrat', sans-serif; */
    margin: 0px;
    background-color: var(--body-bg);
    color: var(--text-color);
}

body.theme-dark {
    --primary-color: var(--dm-primary-color);
    --dark-grey: var(--dm-dark-grey);
    --off-white: var(--dm-off-white);
    --span-color: var(--dm-span-color);
    --body-bg: var(--dm-body-bg);
    --text-color: var(--dm-text-color);
    --text-color2: var(--dm-text-color2)
}

@media (prefers-color-scheme: dark) {
    body.theme-auto {
        --primary-color: var(--dm-primary-color);
        --dark-grey: var(--dm-dark-grey);
        --off-white: var(--dm-off-white);
        --span-color: var(--dm-span-color);
        --body-bg: var(--dm-body-bg);
        --text-color: var(--dm-text-color);
        --text-color2: var(--dm-text-color2)
    }
}

hr {
    margin: 2rem 0rem;
}

p {
    text-align: justify;
    text-justify: inter-word;
}

/* container */
.container {
    padding-left: 1rem;
    padding-right: 1rem;
}

.container-center {
    max-width: 600px;
    margin: auto;
}

.container .right-btn {
    text-align: right;
}

/* links */
.link {
    /* box-sizing: border-box; */
    text-decoration: none;
    padding: 0.5rem 1rem;
    color: var(--primary-color);
    /* margin-top: 1rem;
    margin-bottom: 1rem; */
}

.navigation .link-active {
    font-weight: bold;
}

.primary-link {
    background-color: var(--primary-color);
    border-radius: 0.5rem;
    border: 1px solid var(--primary-color);
    color: white;
}

.secondary-link {
    color: var(--text-color2);
    border-radius: 0.5rem;
    border: 2px solid var(--primary-color);
    font-weight: bold;
}

p {
    font-size: 1.3rem;
}

.blog-link {
    text-decoration: none;
}

/* lists */
.non-bullet {
    list-style: none;
    padding: 0;
    margin: 0;
}

.list-item-inline {
    display: inline;
    padding: 0rem 0.5rem;
}

.social-handle {
    height: 2rem;
    width: 2rem;
}

/* navigation */
.navigation {
    background-color: var(--primary-color);
    color: white;
    padding: 1rem;

}

.brand-and-logo {
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    color: white;
    cursor: pointer;
}

.nav-brand {
    font-weight: bold;
    font-size: 1.5rem;
   margin: 0;
}

.brand-logo {
    height: 50px;
    width: 50px;
    margin:0 0 0 -8px;
}

.navigation .link {
    color: white;
    text-align: right;
}

.navigation .nav-pills {
    text-align: right;
}

.head-toggle {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.darkmode-icon {
    height: 25px;
    width: 25px;
    margin: 0.6rem 0.2rem 0 0;

}

.select .select-input {
    height: 1.8rem;
    width: 4rem;
    margin-top: 0.5rem;
    margin-right: 1rem;
    cursor: pointer;
    background-color: var(--primary-color);
    color: white;
    border: none;
    outline: none;
}

.select {
    display: flex;
    justify-content: space-between;
}


/* header */
.hero {
    padding: 2rem;
    padding-top: 3rem;
    padding-bottom: 3rem;
}

.blog-page-heading h1 {
    margin-top: 0;
    text-align: center;
    color: var(--dark-grey);
}

.blog-page-heading span {
    color: var(--span-color);
}

.hero .hero-img {
    max-width: 350px;
    display: block;
    margin: auto;
    width: 100%;
}

.hero .anim {
    padding: 1rem;
    max-width: 300px;
    margin-left: auto;
}

.hero .projects-heroimg {
    padding: 1rem;
    max-width: 530px;
    margin-left: auto;
}

.hero .hero-heading {

    color: var(--dark-grey);
    text-align: center;
}

.anim-heading {
    margin-bottom: -2rem;
}

.anim-intro {
    margin-top: -2rem;
}

.hero .hero-heading .heading-inverted {
    color: var(--span-color);
}

/* section */
.section {
    padding-top: 1rem;
    padding-bottom: 2rem;
}

.ow {
    background-color: var(--off-white);
}

.h1-center {
    text-align: center;
}

.tech-logos {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}
.tech-logo {
    height: 50px;
    width: 50px;
    margin: 1rem;
}

.project-img {
    max-width: 250px;
    display: block;
    text-decoration: none;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    border-radius: 5px;
}

.blog-img {
    max-width: 250px;
    display: block;
    text-decoration: none;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    border-radius: 5px;
}

.date {
    margin: 32px 8px;
}

@keyframes bounce {
    0% {
        transform: rotate(-90deg) translateX(-1.5px);
    }
    50% {
        transform: rotate(-90deg) translateX(1.5px);
    }
    100% {
        transform: rotate(-90deg) translateX(-1.5px);
    }
}

.scroll-to-top-btn {
    display: none;
    height: 50px;
    width: 50px;
    font-size: 24px;
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: #EE3636;
    color: #111033;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    text-align: center;
}

.button-content {
    animation: bounce 0.8s infinite; 
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 2px;
}

/* footer */

.footer {
    background-color: var(--primary-color);
    color: white;
    padding: 2rem 0rem;
    text-align: center;
}

.footer .link {
    color: rgba(255, 255, 255, 0);
}

.footer .footer-header {
    font-weight: bold;
    font-size: larger;
}

.footer ul {
    padding-inline-start: 0px;
}

::-webkit-scrollbar {
    width: 2px;
}

::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    border-radius: 10px;
}

::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.5);
}



@media (max-width: 535px) {

    .hero {
        padding: 0;
    }

    .hero-img {
        width: 100%;
    }

    .hero .projects-heroimg {
        padding: 0;
    }

    .list-item-inline {
        padding: 0;
    }

    .link {
        padding: 0.5rem;
        width: 150px;
    }

    .navigation .nav-pills {
        text-align: center;
        padding: 0;
        display: flex;
        justify-content: space-evenly;
    }

    .non-bullet {
        padding: 0;
        margin: 0
    }

    .section .link {
        margin-bottom: 0.5rem;
        text-align: center;
    }
    .head-toggle {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .project-img {
        max-width: 250px;
        text-align: center;
    }

    .blog-img {
        max-width: 250px;
        text-align: center;
    }

    .container-center {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
}